> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Tickers by ID

> This endpoint allows you to **query exchange's tickers based on exchange's ID**

<Note>
  ### Note

  * Responses are paginated and limited to 100 tickers per page. You may specify the page number using the `page` params to retrieve the tickers accordingly.
  * `order=base_target` sorts tickers by `base` symbol, then `target` symbol, in lexicographical order (`0 -> 9`, followed by `a -> z`).\
    This sorting method ensures stable pagination results, minimizing cases where cached responses might otherwise cause duplicate or missing tickers across paginated pages.
  * When `dex_pair_format=symbol`, the DEX pair `base` and `target` are displayed in symbol format (e.g. `WETH`, `USDC`) instead of as contract addresses.
  * Cache / Update Frequency: every 2 minutes for Public API.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /exchanges/{id}/tickers
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges/{id}/tickers:
    get:
      tags:
        - Exchanges
      summary: Exchange Tickers by ID
      description: >-
        This endpoint allows you to **query exchange's tickers based on
        exchange's ID**
      operationId: exchanges-id-tickers
      parameters:
        - name: id
          in: path
          description: |-
            exchange ID 
             *refers to [`/exchanges/list`](/v3.0.1/reference/exchanges-list).
          required: true
          schema:
            type: string
            example: binance
            default: binance
        - name: coin_ids
          in: query
          description: >-
            filter tickers by coin IDs, comma-separated if querying more than 1
            coin 
             *refers to [`/coins/list`](/v3.0.1/reference/coins-list).
          required: false
          schema:
            type: string
            default: bitcoin
          examples:
            one value:
              value: bitcoin
            multiple values:
              value: bitcoin,ethereum
        - name: include_exchange_logo
          in: query
          description: 'include exchange logo, default: false'
          required: false
          schema:
            type: boolean
        - name: page
          in: query
          description: page through results
          required: false
          schema:
            type: integer
        - name: depth
          in: query
          description: >-
            include 2% orderbook depth (Example: cost_to_move_up_usd &
            cost_to_move_down_usd),default: false
          required: false
          schema:
            type: boolean
        - name: order
          in: query
          description: 'use this to sort the order of responses, default: trust_score_desc'
          required: false
          schema:
            type: string
            enum:
              - market_cap_asc
              - market_cap_desc
              - trust_score_desc
              - trust_score_asc
              - volume_desc
              - volume_asc
              - base_target
        - name: dex_pair_format
          in: query
          description: >-
            set to `symbol` to display DEX pair base and target as symbols,
            default: `contract_address`
          required: false
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Get exchange tickers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeTickers'
components:
  schemas:
    ExchangeTickers:
      allOf:
        - $ref: '#/components/schemas/CoinsTickers'
      example:
        name: Binance
        tickers:
          - base: BTC
            target: USDT
            market:
              name: Binance
              identifier: binance
              has_trading_incentive: false
              logo: >-
                https://assets.coingecko.com/markets/images/52/small/binance.jpg?1706864274
            last: 69476
            volume: 20242.03975
            cost_to_move_up_usd: 19320706.3958517
            cost_to_move_down_usd: 16360235.3694131
            converted_last:
              btc: 1.000205
              eth: 20.291404
              usd: 69498
            converted_volume:
              btc: 20249
              eth: 410802
              usd: 1406996874
            trust_score: null
            bid_ask_spread_percentage: 0.010014
            timestamp: '2024-04-08T04:02:01+00:00'
            last_traded_at: '2024-04-08T04:02:01+00:00'
            last_fetch_at: '2024-04-08T04:03:00+00:00'
            is_anomaly: false
            is_stale: false
            trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
            token_info_url: null
            coin_id: bitcoin
            target_coin_id: tether
            coin_mcap_usd: 230926944910.5146
    CoinsTickers:
      type: object
      properties:
        name:
          type: string
          description: coin name
        tickers:
          type: array
          description: list of tickers
          items:
            type: object
            properties:
              base:
                type: string
                description: coin ticker base currency
              target:
                type: string
                description: coin ticker target currency
              market:
                type: object
                description: coin ticker exchange
                properties:
                  name:
                    type: string
                    description: exchange name
                  identifier:
                    type: string
                    description: exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: exchange trading incentive
                  logo:
                    type: string
                    description: exchange image url
              last:
                type: number
                description: coin ticker last price
              volume:
                type: number
                description: coin ticker volume
              cost_to_move_up_usd:
                type: number
                description: coin ticker cost to move up in usd
              cost_to_move_down_usd:
                type: number
                description: coin ticker cost to move down in usd
              converted_last:
                type: object
                description: coin ticker converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: coin ticker converted volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: coin ticker trust score
              bid_ask_spread_percentage:
                type: number
                description: coin ticker bid ask spread percentage
              timestamp:
                type: string
                description: coin ticker timestamp
              last_traded_at:
                type: string
                description: coin ticker last traded timestamp
              last_fetch_at:
                type: string
                description: coin ticker last fetch timestamp
              is_anomaly:
                type: boolean
                description: coin ticker anomaly
              is_stale:
                type: boolean
                description: coin ticker stale
              trade_url:
                type: string
                description: coin ticker trade url
              token_info_url:
                type: string
                description: coin ticker token info url
                nullable: true
              coin_id:
                type: string
                description: coin ticker base currency coin ID
              target_coin_id:
                type: string
                description: coin ticker target currency coin ID
              coin_mcap_usd:
                type: number
                description: coin market cap in USD
      example:
        name: Bitcoin
        tickers:
          - base: BTC
            target: USDT
            market:
              name: Binance
              identifier: binance
              has_trading_incentive: false
              logo: >-
                https://assets.coingecko.com/markets/images/52/small/binance.jpg?1706864274
            last: 69476
            volume: 20242.03975
            cost_to_move_up_usd: 19320706.3958517
            cost_to_move_down_usd: 16360235.3694131
            converted_last:
              btc: 1.000205
              eth: 20.291404
              usd: 69498
            converted_volume:
              btc: 20249
              eth: 410802
              usd: 1406996874
            trust_score: null
            bid_ask_spread_percentage: 0.010014
            timestamp: '2024-04-08T04:02:01+00:00'
            last_traded_at: '2024-04-08T04:02:01+00:00'
            last_fetch_at: '2024-04-08T04:03:00+00:00'
            is_anomaly: false
            is_stale: false
            trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
            token_info_url: null
            coin_id: bitcoin
            target_coin_id: tether
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````